<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>htwg-labo-backend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">htwg-labo-backend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li >AuthModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 5.0.0 (20220707.1540)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="454pt" height="247pt"
 viewBox="0.00 0.00 454.00 246.80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 242.8)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-242.8 450,-242.8 450,4 -4,4"/>
<text text-anchor="middle" x="223" y="-8.2" font-family="sans-serif" font-size="14.00">dependencies</text>
<g id="clust1" class="cluster">
<title>cluster_AuthModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-32.8 8,-230.8 438,-230.8 438,-32.8 8,-32.8"/>
</g>
<g id="clust4" class="cluster">
<title>cluster_AuthModule_exports</title>
<polygon fill="none" stroke="black" points="176,-170.8 176,-222.8 282,-222.8 282,-170.8 176,-170.8"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_AuthModule_providers</title>
<polygon fill="none" stroke="black" points="16,-40.8 16,-92.8 430,-92.8 430,-40.8 16,-40.8"/>
</g>
<!-- AuthService  -->
<g id="node1" class="node">
<title>AuthService </title>
<polygon fill="#fb8072" stroke="black" points="273.98,-214.8 184.02,-214.8 184.02,-178.8 273.98,-178.8 273.98,-214.8"/>
<text text-anchor="middle" x="229" y="-192.6" font-family="Times,serif" font-size="14.00">AuthService </text>
</g>
<!-- AuthModule -->
<g id="node2" class="node">
<title>AuthModule</title>
<polygon fill="#8dd3c7" stroke="black" points="272.55,-149.8 269.55,-153.8 248.55,-153.8 245.55,-149.8 185.45,-149.8 185.45,-113.8 272.55,-113.8 272.55,-149.8"/>
<text text-anchor="middle" x="229" y="-127.6" font-family="Times,serif" font-size="14.00">AuthModule</text>
</g>
<!-- AuthModule&#45;&gt;AuthService  -->
<g id="edge1" class="edge">
<title>AuthModule&#45;&gt;AuthService </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M229,-149.91C229,-149.91 229,-168.79 229,-168.79"/>
<polygon fill="black" stroke="black" points="225.5,-168.79 229,-178.79 232.5,-168.79 225.5,-168.79"/>
</g>
<!-- AuthService -->
<g id="node3" class="node">
<title>AuthService</title>
<ellipse fill="#fdb462" stroke="black" cx="363" cy="-66.8" rx="59.11" ry="18"/>
<text text-anchor="middle" x="363" y="-62.6" font-family="Times,serif" font-size="14.00">AuthService</text>
</g>
<!-- AuthService&#45;&gt;AuthModule -->
<g id="edge2" class="edge">
<title>AuthService&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M363,-84.91C363,-104.14 363,-131.8 363,-131.8 363,-131.8 282.88,-131.8 282.88,-131.8"/>
<polygon fill="black" stroke="black" points="282.88,-128.3 272.88,-131.8 282.88,-135.3 282.88,-128.3"/>
</g>
<!-- JwtStrategy -->
<g id="node4" class="node">
<title>JwtStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="229" cy="-66.8" rx="56.77" ry="18"/>
<text text-anchor="middle" x="229" y="-62.6" font-family="Times,serif" font-size="14.00">JwtStrategy</text>
</g>
<!-- JwtStrategy&#45;&gt;AuthModule -->
<g id="edge3" class="edge">
<title>JwtStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M229,-84.91C229,-84.91 229,-103.79 229,-103.79"/>
<polygon fill="black" stroke="black" points="225.5,-103.79 229,-113.79 232.5,-103.79 225.5,-103.79"/>
</g>
<!-- LocalStrategy -->
<g id="node5" class="node">
<title>LocalStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="89" cy="-66.8" rx="65.4" ry="18"/>
<text text-anchor="middle" x="89" y="-62.6" font-family="Times,serif" font-size="14.00">LocalStrategy</text>
</g>
<!-- LocalStrategy&#45;&gt;AuthModule -->
<g id="edge4" class="edge">
<title>LocalStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M89,-84.91C89,-104.14 89,-131.8 89,-131.8 89,-131.8 175.09,-131.8 175.09,-131.8"/>
<polygon fill="black" stroke="black" points="175.09,-135.3 185.09,-131.8 175.09,-128.3 175.09,-135.3"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group size-buttons">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/auth/auth.module.ts</code>
        </p>





        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/AuthService.html">AuthService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/JwtStrategy.html">JwtStrategy</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/LocalStrategy.html">LocalStrategy</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Controllers<a href="https://docs.nestjs.com/controllers" target="_blank" title="Official documentation about module controllers"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../controllers/AuthController.html">AuthController</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Exports<a href="https://angular.io/api/core/NgModule#exports" target="_blank" title="Official documentation about module exports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../s/AuthService.html">AuthService</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { HttpModule } from &#x27;@nestjs/axios&#x27;;
import { Module } from &#x27;@nestjs/common&#x27;;
import { ConfigModule } from &#x27;@nestjs/config&#x27;;
import { JwtModule } from &#x27;@nestjs/jwt&#x27;;
import { PassportModule } from &#x27;@nestjs/passport&#x27;;
import { AuthController } from &#x27;./controller/auth.controller&#x27;;
import { JwtStrategy } from &#x27;./jwt.strategy&#x27;;
import { LocalStrategy } from &#x27;./local.strategy&#x27;;
import { AuthService } from &#x27;./services/auth.service&#x27;;

@Module({
  imports: [PassportModule, JwtModule.register(
      {
        secret: &#x27;labo&#x27;,
        signOptions: {expiresIn: &#x27;60s&#x27;}
      }
    ), 
    HttpModule,
    ConfigModule
  ],
  controllers: [AuthController],
  providers: [AuthService, LocalStrategy, JwtStrategy],
  exports: [AuthService]
})
export class AuthModule {}
</code></pre>
    </div>
</div>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AuthModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
